<ion-header style="z-index:1">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/carga"></ion-back-button>
      <ion-title>Selecciona una nueva ubicación</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-searchbar [debounce]="500" (ionInput)="handleInput($event)" [(ngModel)]="selectedValueString"  style="z-index:1"></ion-searchbar>

  <ion-list style="z-index:1; position:absolute; width:100%;">
    <ion-list *ngIf="showResults" style="z-index:1">
      <ion-item *ngFor="let result of results" (click)="selectResult(result)">
        <ion-label>{{result.formatted_address}} </ion-label>
      </ion-item>
    </ion-list>
  </ion-list>

  <ion-fab-button class="location-button" (click)="goToMyLocation()">
    <ion-icon name="navigate-outline"></ion-icon>
  </ion-fab-button>

<div *ngIf="selectedValueString !== '' && showButton" class="confirm-button">
  <ion-button color="primary" style="width:200px" (click)="confirmar()">
    Confirmar
  </ion-button>
</div>

<div #mapElement class="mapElement"></div>

</ion-content>
